Skip links

CVE-2020-6229 Cross-Site Scripting (XSS) vulnerability in SAP NetWeaver AS ABAP (Business Server Pages application CRM_BSP_FRAME), SAP security note 2900374

Description

BSP application CRM_BSP_FRAME does not sufficiently encode user controlled inputs, resulting in Cross-Site Scripting (XSS) vulnerability.

Some well-known impacts of XSS vulnerability are –

  • non-permanently deface or modify displayed content from a Web site
  • steal authentication information of the user, such as data relating to his or her current session
  • impersonate the user and access all information with the same rights as the target user 

Available fix and Supported packages

  • SAP_ABA | 700 | 702
  • SAP_ABA | 710 | 711
  • SAP_ABA | 730 | 730
  • SAP_ABA | 731 | 731
  • SAP_ABA | 740 | 740
  • SAP_ABA | 750 | 752
  • SAP_ABA | 75A | 75E
  • | SAPK-780BHINSAPBASIS |
  • SAP_ABA 710 | SAPKA71025 |
  • SAP_ABA 711 | SAPKA71120 |
  • SAP_ABA 700 | SAPKA70038 |
  • SAP_ABA 701 | SAPKA70123 |
  • SAP_ABA 702 | SAPKA70223 |
  • SAP_ABA 730 | SAPKA73021 |
  • SAP_ABA 731 | SAPKA73127 |
  • SAP_ABA 740 | SAPKA74024 |
  • SAP_ABA 750 | SAPK-75018INSAPABA |
  • SAP_ABA 75A | SAPK-75A18INSAPABA |
  • SAP_ABA 751 | SAPK-75111INSAPABA |
  • SAP_ABA 75B | SAPK-75B11INSAPABA |
  • SAP_ABA 752 | SAPK-75207INSAPABA |
  • SAP_ABA 75C | SAPK-75C07INSAPABA |
  • SAP_ABA 75D | SAPK-75D05INSAPABA |
  • SAP_ABA 75E | SAPK-75E03INSAPABA |

Affected component

    CA-GTF-PCF
    People Centric UI Framework

CVSS

Score: 6.1
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Exploit

Exploit is not available.
For detailed information please contact the mail [email protected]

URL

https://launchpad.support.sap.com/#/notes/2900374

TAGS

#&65279-XSS
#reflected-XSS
#CSS
#&160-CVE-2020-6229